package cn.iocoder.yudao.module.system.controller.admin.information.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 设备信息新增/修改 Request VO")
@Data
public class DeviceInformationSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "14335")
    private Long id;

    @Schema(description = "设备类型（1：充电桩、2：输送线、 3：码垛机、4：拆垛机、5：自动门、6：提升机、7：信号灯、8：按钮盒）", requiredMode = Schema.RequiredMode.REQUIRED, example = "2")
    @NotNull(message = "设备类型不能为空")
    private Integer deviceType;

    @Schema(description = "设备编号")
    private String deviceNo;

    @Schema(description = "mac地址")
    private String macAddress;

    @Schema(description = "上传图片附件", requiredMode = Schema.RequiredMode.REQUIRED, example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "图片设置（1：默认图片、2：上传图片、 3：不显示图片）")
    private Integer pictureConfig;

    @Schema(description = "设备状态（1：在线、2：离线、 3：异常）", example = "1")
    private Integer deviceStatus;

    @Schema(description = "设备启用禁用（0：禁用、1：启用）")
    private Integer deviceEnable;

    @Schema(description = "设备协议")
    private String deviceAgreement;

    @Schema(description = "设备最后通讯时间")
    private LocalDateTime deviceLastTime;

}