package cn.iocoder.yudao.module.system.dal.dataobject.information;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 设备信息 DO
 *
 * @author 陈宾顺
 */
@TableName("device_information")
@KeySequence("device_information_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceInformationDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;
    /**
     * 设备类型（1：充电桩、2：输送线、 3：码垛机、4：拆垛机、5：自动门、6：提升机、7：信号灯、8：按钮盒）
     */
    private Integer deviceType;
    /**
     * 设备编号
     */
    private String deviceNo;
    /**
     * mac地址
     */
    private String macAddress;
    /**
     * 上传图片附件
     */
    private String url;
    /**
     * 图片设置（1：默认图片、2：上传图片、 3：不显示图片）
     */
    private Integer pictureConfig;
    /**
     * 设备状态（1：在线、2：离线、 3：异常）
     */
    private Integer deviceStatus;
    /**
     * 设备启用禁用（0：禁用、1：启用）
     */
    private Integer deviceEnable;
    /**
     * 设备协议
     */
    private String deviceAgreement;
    /**
     * 设备最后通讯时间
     */
    private LocalDateTime deviceLastTime;

}