package cn.iocoder.yudao.module.system.service.positionmap;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.util.object.BeanUtils;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLinePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.positionmap.vo.PositionMapLineSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.positionmap.PositionMapLineDO;
import cn.iocoder.yudao.module.system.dal.mysql.positionmap.PositionMapLineMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

/**
 * 仓库点位地图连线 Service 实现类
 *
 * @author 芋道源码
 */
@Service
@Validated
public class PositionMapLineServiceImpl extends ServiceImpl<PositionMapLineMapper, PositionMapLineDO> implements PositionMapLineService {

    @Resource
    private PositionMapLineMapper positionMapLineMapper;

    @Override
    public void deletePositionMapLine(Long id) {
        // 删除
        positionMapLineMapper.deleteById(id);
    }

    @Override
    public PositionMapLineDO getPositionMapLine(Long id) {
        return positionMapLineMapper.selectById(id);
    }

    @Override
    public PageResult<PositionMapLineDO> getPositionMapLinePage(PositionMapLinePageReqVO pageReqVO) {
        return positionMapLineMapper.selectPage(pageReqVO);
    }

    @Override
    public Long createOrEditPositionMapLine(PositionMapLineSaveReqVO createReqVO) {
        PositionMapLineDO positionMapLine = BeanUtils.toBean(createReqVO, PositionMapLineDO.class);
        if (positionMapLine.getId() == null) {
            positionMapLineMapper.insert(positionMapLine);
        } else {
            positionMapLineMapper.updateById(positionMapLine);
        }
        return positionMapLine.getId();
    }

}
