package cn.iocoder.yudao.module.system.service.robot;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotWarnCodeMappingPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotWarnCodeMappingSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotWarnCodeMappingDO;

/**
 * 机器人告警码值映射 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotWarnCodeMappingService {

    /**
     * 创建机器人告警码值映射
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createWarnCodeMapping(@Valid RobotWarnCodeMappingSaveReqVO createReqVO);

    /**
     * 更新机器人告警码值映射
     *
     * @param updateReqVO 更新信息
     */
    void updateWarnCodeMapping(@Valid RobotWarnCodeMappingSaveReqVO updateReqVO);

    /**
     * 删除机器人告警码值映射
     *
     * @param id 编号
     */
    void deleteWarnCodeMapping(Long id);

    /**
     * 获得机器人告警码值映射
     *
     * @param id 编号
     * @return 机器人告警码值映射
     */
    RobotWarnCodeMappingDO getWarnCodeMapping(Long id);

    /**
     * 获得机器人告警码值映射分页
     *
     * @param pageReqVO 分页查询
     * @return 机器人告警码值映射分页
     */
    PageResult<RobotWarnCodeMappingDO> getWarnCodeMappingPage(RobotWarnCodeMappingPageReqVO pageReqVO);

}