package cn.iocoder.yudao.module.system.service.robot.job;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotTaskAutoMovePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.robot.vo.RobotTaskAutoMoveSaveReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotTaskAutoMoveDO;

/**
 * 机器人自动移库 Service 接口
 *
 * @author 陈宾顺
 */
public interface RobotTaskAutoMoveService {

    /**
     * 创建机器人自动移库
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createTaskAutoMove(@Valid RobotTaskAutoMoveSaveReqVO createReqVO);

    /**
     * 更新机器人自动移库
     *
     * @param updateReqVO 更新信息
     */
    void updateTaskAutoMove(@Valid RobotTaskAutoMoveSaveReqVO updateReqVO);

    /**
     * 删除机器人自动移库
     *
     * @param id 编号
     */
    void deleteTaskAutoMove(Long id);

    /**
     * 获得机器人自动移库
     *
     * @param id 编号
     * @return 机器人自动移库
     */
    RobotTaskAutoMoveDO getTaskAutoMove(Long id);

    /**
     * 获得机器人自动移库分页
     *
     * @param pageReqVO 分页查询
     * @return 机器人自动移库分页
     */
    PageResult<RobotTaskAutoMoveDO> getTaskAutoMovePage(RobotTaskAutoMovePageReqVO pageReqVO);

    /**
     * 自动移库
     */
    void distributeAutoMoveJob();
}